Issue 107485 - stepping through filtered records not possible with "OR" condition and LIKE operator
Summary: stepping through filtered records not possible with "OR" condition and LIKE o...
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOO320m7
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords: oooqa, regression
Depends on:
Blocks: 99999
  Show dependency tree
 
Reported: 2009-12-07 09:26 UTC by eberlein
Modified: 2010-01-10 16:51 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
file to reproduce (13.06 KB, application/vnd.sun.xml.base)
2009-12-07 09:26 UTC, eberlein
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description eberlein 2009-12-07 09:26:00 UTC
To reproduce, open the form of the attached odb.
The form is filtered, so it should be possible to step over 4 records with the
statusbar.
What happens: the content of the form doesn't change.

If you revert the filter and set it again in alive mode with the filter
navigator, it is reproducable too.
Condition: the filter term is like:

(field like 'aa%') or (field like 'bb%')
Comment 1 eberlein 2009-12-07 09:26:55 UTC
Created attachment 66531 [details]
file to reproduce
Comment 2 r4zoli 2009-12-07 09:47:50 UTC
I can confirm it, not working in OOO320_m7.

If you open it in OOo 3.1.1, it works.
Comment 3 Frank Schönheit 2009-12-07 09:49:55 UTC
grabbing, targeting (3.3, until it is approved for 3.2)
Comment 4 Frank Schönheit 2009-12-07 11:31:28 UTC
fixed in CWS ooo32gsl09

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fooo32gsl09
Comment 5 uwe.luebbers 2009-12-07 11:55:40 UTC
Adjusted target
Comment 6 philipp.lohmann 2009-12-08 10:00:38 UTC
please verify in CWS ooo32gsl09
Comment 7 marc.neumann 2009-12-09 11:54:24 UTC
verified in CWS ooo32gsl09

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=OOO320%2Fooo32gsl09
Comment 8 drewjensen.inbox 2010-01-10 16:51:26 UTC
checked OOO320_RC1, Ubuntu 9.1

Closing